# Neural Network Approximation based on Hausdorff distance of Tropical Zonotopes: 
Supplementary material code for experiments

## Project's file description 
`training.py`: Training functions.

`dataloading.py`: Pytorch custom dataloaders.

`models.py`: CNN models definitions.

`algorithms.py`: Compression algorithms implementation.
 
`pruning.py`: Network pruning class and methods for PyTorch models.

`experiment_1.py`, `experiment_2.py`, `experiment_3.py`: Code for each of the experiments. Experimental results are printed in .txt format in `/results` directory.

`report.py`: Returns tables in .txt format or plots in .png format in `plots/` directory.


## Run experiments
To execute all experiments and experimental reports:
```
make
```

For experiments only:
```
make -s experiments
```

For experimental results report (tables and plots), provided that results file exist:
```
make -s report
```
